library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity HorlogeDiv256V1 is
    Port (
    raz : in std_logic;
    clk : in std_logic;
    sortie : out STD_LOGIC);
end HorlogeDiv256V1;

architecture Behavioral of HorlogeDiv256V1 is
signal etat : std_logic;
signal compte : unsigned( 7 downto 0);
begin

sortie <= etat;

process (clk)
begin

if clk'event and clk = '1' then    -- compteur
   if raz = '1' then
      compte <= "00000000";
      etat <= '0';
   else   
      compte <= compte +1;          -- changement après le process
   end if;
   if compte = "11111111" then
      if etat = '0' then
         etat <= '1';
      else
         etat <= '0';
   end if; 
end if;
end if;


-- et non pas etat <= not etat; qui crerai simplement une connexion entre sortie et non sortie !!!!
end process;

end Behavioral;
